=== debian/control ===
Source: linuxcnc
Section: misc
Priority: optional
Maintainer: Sebastian Kuzminsky <seb@highlab.com>
Build-Depends: debhelper (>= 6),
    dh-python,
    libudev-dev,iptables,
    ,
    kmod,
    python-yapps,
    tcl8.6-dev,
    tk8.6-dev,
    libreadline-gplv2-dev,
    asciidoc (>= 8.5), dblatex (>= 0.2.12), docbook-xsl, 
        dvipng, ghostscript, graphviz, groff, imagemagick, inkscape, 
        python-lxml, source-highlight, w3c-linkchecker, xsltproc, 
        texlive-extra-utils, texlive-font-utils, texlive-fonts-recommended, 
        texlive-lang-cyrillic, texlive-lang-french, texlive-lang-german, 
        texlive-lang-polish, texlive-lang-spanish, texlive-latex-recommended, asciidoc-dblatex,
    python,
    python-dev,
    python-tk,
    libxmu-dev,
    libglu1-mesa-dev,
    libgl1-mesa-dev | libgl1-mesa-swx11-dev,
    libgtk2.0-dev,
    gettext,
    intltool,
    autoconf,
    libboost-python-dev,
    netcat,
    libmodbus-dev (>= 3.0),
    libusb-1.0-0-dev,
    procps,
    psmisc,
    desktop-file-utils,
    yapps2,
Standards-Version: 3.9.8
Vcs-Browser: https://github.com/LinuxCNC/linuxcnc
Vcs-Git: git://github.com/linuxcnc/linuxcnc.git

Package: linuxcnc-uspace-dev
Architecture: any
Conflicts: linuxcnc-sim-dev, linuxcnc-dev
Depends: g++, ,
    python-serial,
    python (>= 2.7), python (<< 2.8),
    ${python:Depends}, ${misc:Depends},
    linuxcnc-uspace (= ${binary:Version}),
    python-yapps
Section: libs
Description: PC based motion controller for real-time Linux
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package includes files needed to build new realtime components and
 alternate front-ends for linuxcnc

Package: linuxcnc-uspace
Conflicts: linuxcnc-sim, linuxcnc
Architecture: any
Recommends: linuxcnc-doc-en | linuxcnc-doc,
    python-pyqt5,
    python-pyqt5.qsci,
    python-pyqt5.qtopengl,
    python-pyqt5.qtsvg,
    python-pyqt5.qtwebkit,
    python-opencv,
    python-rsvg,
    python-dbus.mainloop.pyqt5,
    gstreamer1.0-tools,
    python-espeak,
    espeak,
    pyqt5-dev-tools,
    hostmot2-firmware-all, linux-image-rt-amd64 [linux-amd64], linux-image-rt-686-pae [linux-i386]
Depends: ${shlibs:Depends}, libudev-dev,iptables,
    tcl8.6, tk8.6, bwidget (>= 1.7), libtk-img (>=1.13),
    python (>= 2.7), python (<< 2.8),
    ${python:Depends}, ${misc:Depends},
    python2.7-tk,
    python2.7-glade2 | python-glade2,
    python2.7-numpy | python-numpy,
    python2.7-imaging | python-imaging | python-pil,
    python2.7-imaging-tk | python-imaging-tk | python-pil.imagetk,
    python-gtksourceview2,
    python-vte | gir1.2-vte-2.91,
    python-gst-1.0,gstreamer1.0-plugins-base,
    python-xlib, python-gtkglext1, python-configobj,
    tclreadline, procps, psmisc, module-init-tools | kmod, tclx,
    mesa-utils, blt
Description: motion controller for CNC machines and robots
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).

Package: linuxcnc-doc-en
Provides: linuxcnc-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: pdf-viewer
Description: motion controller for CNC machines and robots (English documentation)
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in English.

Package: linuxcnc-doc-fr
Provides: linuxcnc-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: pdf-viewer
Description: motion controller for CNC machines and robots (French documentation)
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in French.

Package: linuxcnc-doc-es
Provides: linuxcnc-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: pdf-viewer
Description: controlador de movimiento para máquinas CNC y robots (Español).
 LinuxCNC es EMC (controlador de máquina mejorado) que proporciona
 control de movimiento para máquinas herramientas CNC (fresado,
 torneado, ruteado, etc.) y aplicaciones de robótica.
 .
 Este paquete contiene la documentación en español.

Package: linuxcnc-doc-cn
Provides: linuxcnc-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: pdf-viewer
Description: motion controller for CNC machines and robots (Chinese
 documentation)
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in Chinese.
