## linuxcnc 2.8.1

=== debian/changelog ===
linuxcnc (1:2.8.1) buster; urgency=low

  * Docs: Updated Chinese "Getting Started"
  * plasmac: fix conversational path error
  * hostmot2: Add support for Mesa 7i95, 7i97 and 7c80
  * qtvcp -qtdragon: updates
  * plasmac: Bugfixes
  * qtvcp -many updates
  * Forgot to add source file to Makefile
  * Fix for pre-c99 compilers
  * hm2_rpspi: remove and reinstate the kernel spi driver at startup/shutdown
  * plasmac: Don't pierce spotting operations and many other updates
  * changed pocket_number to mod_pocket in direction logic
  * motion.9 motion.feed-inhibit gcode only (not jogs)
  * command.c for consistency, allow jogs if feedhold
  * control.c joint jogs inhibition if feedhold
  * userkins.comp (new) userkins using halcompile
  * gs2_vfd: Fixes how many registers that is written to Closes #506
  * Update internal names after file renaming in 2004 Closes #922
  * Fix gpio and pin relationship on rpi2 and later Closes #955
  * qtvcp -update camview
  * pncconf -allow different home switch offsets on tandem axes
  * added hal pin to allow preview refresh
  * pncconf -raise spinbox limits in tune test
  * pncconf -fix PID maxerror setting in the tune test fo rmetric machines
  * Docs: Pi links should be http not https
  * Docs: Add links to the Raspberry Pi SD card image to the install docs
  * dbounce.comp (new) alternative debounce component
  * docs: plasmac user guide update

 -- andypugh <andy@bodgesoc.org>  Sun, 29 Nov 2020 14:43:33 +0000
