=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Sebastian Kuzminsky <seb@highlab.com>
 Build-Depends: debhelper (>= 6),
     dh-python,
-    libudev-dev,iptables,
-    ,
+    linux-image-4.14.174-rtai-amd64,rtai-modules-4.14.174-rtai-amd64|rtai-modules-4.14.174,
+    linux-headers-4.14.174-rtai-amd64,
     kmod,
     python-yapps,
     tcl8.6-dev,
@@ -39,14 +39,14 @@
 Vcs-Browser: https://github.com/LinuxCNC/linuxcnc
 Vcs-Git: git://github.com/linuxcnc/linuxcnc.git
 
-Package: linuxcnc-uspace-dev
+Package: linuxcnc-dev
 Architecture: any
-Conflicts: linuxcnc-sim-dev, linuxcnc-dev
-Depends: g++, ,
+Conflicts: linuxcnc-sim-dev, linuxcnc-uspace-dev
+Depends: g++, linux-headers-4.14.174-rtai-amd64,
     python-serial,
     python (>= 2.7), python (<< 2.8),
     ${python:Depends}, ${misc:Depends},
-    linuxcnc-uspace (= ${binary:Version}),
+    linuxcnc (= ${binary:Version}),
     python-yapps
 Section: libs
 Description: PC based motion controller for real-time Linux
@@ -57,8 +57,8 @@
  This package includes files needed to build new realtime components and
  alternate front-ends for linuxcnc
 
-Package: linuxcnc-uspace
-Conflicts: linuxcnc-sim, linuxcnc
+Package: linuxcnc
+Conflicts: linuxcnc-sim, linuxcnc-uspace
 Architecture: any
 Recommends: linuxcnc-doc-en | linuxcnc-doc,
     python-pyqt5,
@@ -73,8 +73,8 @@
     python-espeak,
     espeak,
     pyqt5-dev-tools,
-    hostmot2-firmware-all, linux-image-rt-amd64 [linux-amd64], linux-image-rt-686-pae [linux-i386]
-Depends: ${shlibs:Depends}, libudev-dev,iptables,
+    hostmot2-firmware-all
+Depends: ${shlibs:Depends}, linux-image-4.14.174-rtai-amd64,rtai-modules-4.14.174-rtai-amd64|rtai-modules-4.14.174,
     tcl8.6, tk8.6, bwidget (>= 1.7), libtk-img (>=1.13),
     python (>= 2.7), python (<< 2.8),
     ${python:Depends}, ${misc:Depends},
