=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-kernel_version = uspace
+kernel_version = 4.14.174-rtai-amd64
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -117,8 +117,8 @@
 	dh_python2
 	dh_makeshlibs
 	dh_installdeb
-	cat debian/linuxcnc-uspace/DEBIAN/shlibs debian/shlibs.pre > debian/shlibs.local
-	dh_shlibdeps -u--warnings=0 -l debian/linuxcnc-uspace/usr/lib
+	cat debian/linuxcnc/DEBIAN/shlibs debian/shlibs.pre > debian/shlibs.local
+	dh_shlibdeps -u--warnings=0 -l debian/linuxcnc/usr/lib
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
@@ -127,4 +127,4 @@
 .PHONY: build clean binary-indep binary-arch binary install
 
 debian/rules: debian/configure debian/*.in
-	debian/configure uspace
+	debian/configure 4.14.174-rtai-amd64
